> For the complete documentation index, see [llms.txt](https://docs.sdv.dev/sdv/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sdv.dev/sdv/~/changes/T3ZD1DOoRUEqkmrAGBZp/multi-table-data/modeling.md).

# Modeling

The SDV creates synthetic data using machine learning. A **synthesizer** is an object that you can use to accomplish this task.

1. You'll start by creating a synthesizer based on your metadata
2. Next, you'll train the synthesizer using real data. In this phase, the synthesizer will learn patterns from the real data.
3. Once your synthesizer is trained, you can use it to generate new, synthetic data.

```python
from sdv.multi_table import HMASynthesizer

# Step 1: Create the synthesizer
synthesizer = HMASynthesizer(metadata)

# Step 2: Train the synthesizer
synthesizer.fit(real_data)

# Step 3: Generate synthetic data
synthetic_data = synthesizer.sample()
```

## What's next?

**Explore the** [**synthesizers**](/sdv/~/changes/T3ZD1DOoRUEqkmrAGBZp/multi-table-data/modeling/synthesizers.md)**.** Create multi table synthetic data using a variety of synthesizers.

**Want to improve your synthetic data?** You can control the pre- and post-processing steps in your synthesizer, and set up custom, anonymization controls. You can also enforce logical rules in the form of constraints. See the [**Advanced Features**](/sdv/~/changes/T3ZD1DOoRUEqkmrAGBZp/multi-table-data/modeling/customizations.md) for more options. <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sdv.dev/sdv/~/changes/T3ZD1DOoRUEqkmrAGBZp/multi-table-data/modeling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
